import fetch from './fetch';

// 获取当前用户项目报名信息
export function getUserApplyInfo(params) {
  return fetch({
    url: `/api/applyInformation/getUserApplyInfo`,
    method: 'get',
    params
  });
}

//报名夏令营
export function applyGlcc(data) {
  return fetch({
    url: '/api/applyInformation/create',
    method: 'post',
    data: data
  });
}

//提交报名信息（学生）
export function studentApply(data) {
  return fetch({
    url: '/api/studentApply/create',
    method: 'post',
    data: data
  });
}

//修改报名信息（学生）
export function studentApplyEdit(data) {
  return fetch({
    url: '/api/studentApply/update',
    method: 'post',
    data: data
  });
}

// 获取当前学生用户报名信息
// 课题列表
export function projectList(params) {
  return fetch({
    url: `/api/applyInformation/list`,
    method: 'get',
    params
  });
}

// 课题列表
export function taskList(params) {
  return fetch({
    url: `/api/applyInformation/taskList`,
    method: 'get',
    params
  });
}

// 项目id查询项目详情
export function getProjectById(id) {
  return fetch({
    url: `/api/applyInformation/${id}`,
    method: 'get'
  });
}

// 获取用户(学生)课题报名信息
export function getStudentApplyInfo(params) {
  return fetch({
    url: `/api/studentApply/getUserApplyInfo`,
    method: 'get',
    params
  });
}

// 用户取消课题报名
export function cancelTaskApply(data) {
  return fetch({
    url: '/api/studentApply/delete',
    method: 'post',
    data: data
  });
}

// 学生报名课题列表
export function studentApplyList(params) {
  return fetch({
    url: `/api/studentApply/list`,
    method: 'get',
    params
  });
}

// 课题详情
export function getTaskById(id) {
  return fetch({
    url: `/api/applyInformation/task/${id}`,
    method: 'get'
  });
}